"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.showRandomHighlight = void 0;
const conf_1 = __importDefault(require("conf"));
const conf = new conf_1.default();
const getRandomHighlight = () => {
    const allBooks = conf.get('highlights');
    if (!allBooks) {
        console.log("It seems like you don't have any highlights yet. Please run `kindle-highlight update` to sync your highlights.");
        return null;
    }
    if (allBooks.length === 0) {
        console.log('No highlights found');
        return null;
    }
    let randomBook = allBooks[0];
    let bookHighlights = [];
    // Keep trying until we find a book with highlights
    for (let index = 0; index < allBooks.length; index++) {
        const randomBookIndex = Math.floor(Math.random() * allBooks.length);
        randomBook = allBooks[randomBookIndex];
        if (randomBook.highlights && randomBook.highlights.length > 0) {
            bookHighlights = randomBook.highlights;
            break;
        }
        allBooks.splice(randomBookIndex, 1);
    }
    const randomHighlightIndex = Math.floor(Math.random() * bookHighlights.length);
    const randomHighlight = bookHighlights[randomHighlightIndex];
    return {
        bookTitle: randomBook.bookTitle,
        highlight: randomHighlight.highlight,
    };
};
const showRandomHighlight = () => {
    const randomHighlight = getRandomHighlight();
    if (!randomHighlight) {
        return;
    }
    console.log(`${randomHighlight.highlight} \n\n - ${randomHighlight.bookTitle}`);
};
exports.showRandomHighlight = showRandomHighlight;
